* {
  box-sizing: border-box;
}

body, #root, #wrapper {
  min-height: 100vh;
  position: relative;
}
#root {
  @extend %flexbox;
  #wrapper {
    height: 100vh;
    @extend %flexbox;
    @include flex(1);
    background-color: $app-bg-color;
    overflow: hidden;
    &.env-staging { padding-bottom: 50px; }
    main {
      @extend %flexbox;
      @include flex(1);
      @include flex-direction(column);
      position: relative;
      overflow: hidden;
    }
  }
}

body * {
  font-family: quote($font-family), sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  letter-spacing: $font-spacing;
}
body {
  color: $first-txt-color;
}


#root #wrapper.mobile-app {
  main {
    overflow: auto;
    .workspace, .workspace-content {
      overflow: unset;
    }
  }
}

.lines-breaks {
  white-space: pre-line;
}

.text-right {
  text-align: right;
}
